#
# spec file for package gnats (Version 3.102beta)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         gnats
Release:      15
Copyright:    GPL
Group: 
Provides:     gnats 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.102beta
Summary:      GNATS - Problem Report Management System
Source: gnats-3.102-beta.tar.gz
Patch: gnats-3.102-beta.dif
%description
GNATS is a bug-tracking tool designed for use at a central support site.
Software users who experience problems use electronic mail to communicate these
problems to the the maintainers of that software; GNATS partially automates the
tracking of these problems by:
 organizing problem reports into a database and notifying responsible parties
of suspected bugs;
 allowing support personnel and their managers to edit, query and report on
accumulated bugs; and
 providing a reliable archive of problems with a given program and a history
of the life of the program by preserving its reported problems and their
subsequent solutions.
GNATS offers many of the same features offered by more generic databases.  You
can query and edit existing problem reports (PRs) as well as obtain reports on
groups of PRs.  The database itself is simply an ordered repository for problem
reports; each PR receives a unique, incremental PRnumber, which identifies it
throughout its lifetime.

Authors:
--------
    Brendan Kehoe <brendan@lisa.cygnus.com>
    Ian Lance Taylor <ian@cygnus.com>
    Jason Molenda <crash@godzilla.cygnus.co.jp>
    Doug Evans <dje@canuck.cygnus.com>

%prep
%setup -n gnats-3.102-beta
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/man/manl
%dir /usr/share/emacs
%dir /usr/share/emacs/site-lisp
%dir /usr/share/gnats
%dir /usr/share/gnats/dist
%dir /var/lib/gnats
%dir /var/lib/gnats/gnats-adm
%dir /var/lib/gnats/gnats-queue
%dir /var/lib/gnats/pending
/usr/bin/edit-pr
/usr/bin/getclose
/usr/bin/install-sid
/usr/bin/nedit-pr
/usr/bin/nquery-pr
/usr/bin/query-pr
/usr/bin/send-pr
/usr/bin/sub-type
/usr/lib/gnats/at-pr
/usr/lib/gnats/file-pr
/usr/lib/gnats/gen-index
/usr/lib/gnats/gnatsd
/usr/lib/gnats/mail-query
/usr/lib/gnats/mkcat
/usr/lib/gnats/mkdist
/usr/lib/gnats/npr-edit
/usr/lib/gnats/pr-addr
/usr/lib/gnats/pr-age
/usr/lib/gnats/pr-edit
/usr/lib/gnats/pr-mail
/usr/lib/gnats/queue-pr
/usr/lib/gnats/rmcat
%doc /usr/man/man1/edit-pr.1.gz
%doc /usr/man/man1/query-pr.1.gz
%doc /usr/man/man1/send-pr.1.gz
%doc /usr/man/man8/file-pr.8.gz
%doc /usr/man/man8/gen-index.8.gz
%doc /usr/man/man8/mkcat.8.gz
%doc /usr/man/man8/mkdist.8.gz
%doc /usr/man/man8/queue-pr.8.gz
%doc /usr/man/man8/rmcat.8.gz
%doc /usr/man/manl/gnats.l.gz
/usr/share/emacs/site-lisp/gnats.el
/usr/share/emacs/site-lisp/send-pr.el
/usr/share/gnats/cygnus
/usr/share/gnats/dist/COPYING
/usr/share/gnats/dist/INSTALL
/usr/share/gnats/dist/MANIFEST
/usr/share/gnats/dist/README
/usr/share/gnats/dist/categ.texi
/usr/share/gnats/dist/fields.texi
/usr/share/gnats/dist/install-sid.sh
/usr/share/gnats/dist/s-usage.texi
/usr/share/gnats/dist/send-pr-el.in
/usr/share/gnats/dist/send-pr.1
/usr/share/gnats/dist/send-pr.info
/usr/share/gnats/dist/send-pr.sh
/usr/share/gnats/dist/send-pr.texi
/usr/share/gnats/dist/states.texi
/usr/share/gnats/dist/texinfo.tex
/usr/share/gnats/dist/version.texi
/var/lib/gnats/gnats-adm/categories
/var/lib/gnats/gnats-adm/config
/var/lib/gnats/gnats-adm/gnatsd.conf
/var/lib/gnats/gnats-adm/responsible
/var/lib/gnats/gnats-adm/submitters

